Page MenuHomePhabricator

Confirm that the main points of the MediaWiki Developer Summit 2015 Lessons Learned document are being followed
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/MediaWiki_Developer_Summit_2015/Lessons_learned

Suggested changes for the next Developer Summit
We should do a three day event instead of a two day event. Two days will be similar to this year, one day will be hacking and networking.
Start using Phabricator earlier in the planning phase
Create templates for etherpads/Phabricator for all sessions
Organize keynotes further in advance
Presenters of smaller sessions should spend less time on introductions and jump into the needed discussions; introductory materials should be posted in advance.
Better food
Encourage people to walk/share taxis

Event Timeline

Rfarrand created this task.Sep 8 2015, 3:57 PM
Rfarrand claimed this task.
Rfarrand raised the priority of this task from to Normal.
Rfarrand updated the task description. (Show Details)
Rfarrand added a project: Developer-Advocacy.
Rfarrand updated the task description. (Show Details)
Rfarrand set Security to None.
Rfarrand added subscribers: Rfarrand, Aklapper.
Qgil renamed this task from Confirm that the main points of the 2015 Lessons Learned document are being followed to Confirm that the main points of the MediaWiki Developer Summit 2015 Lessons Learned document are being followed.Sep 9 2015, 1:38 AM
Rfarrand closed this task as Resolved.Jan 3 2016, 8:02 PM

Suggested changes for the next Developer Summit
We should do a three day event instead of a two day event. Two days will be similar to this year, one day will be hacking and networking.

  • DONE

Start using Phabricator earlier in the planning phase

  • DONE

Create templates for etherpads/Phabricator for all sessions

  • DONE (by Val)

Organize keynotes further in advance

  • DONE (by Quim)

Presenters of smaller sessions should spend less time on introductions and jump into the needed discussions; introductory materials should be posted in advance.

  • DONE, phabricator prep helped to explain topics in advance.

Better food

  • DONE

Encourage people to walk/share taxis

  • DONE